package etf.slikari;

import java.io.Serializable;
import javax.faces.bean.ManagedBean; 
// or import javax.inject.Named;
import javax.faces.bean.SessionScoped; 
// or import javax.enterprise.context.SessionScoped;

@ManagedBean 
@SessionScoped
public class TableData implements Serializable {
   private static final Osoba[] slikari = new Osoba[] {
       new Osoba("Paja", "Jovanović"),
       new Osoba("Uroš", "Predić"),
       new Osoba("Sava", "Šumanović"),
       new Osoba("Petar", "Lubarda")
   };

   public Osoba[] getSlikari() { return slikari;}

   public String snimi() {
      for (Osoba o : slikari) o.setAzuriraj(false);
      return null;
   }
}